/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { XYChartDescription } from "./XYChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let FinancialChartDescription = /*@__PURE__*/ (() => {
    class FinancialChartDescription extends XYChartDescription {
        get tooltipTemplateRef() {
            return this.zn;
        }
        set tooltipTemplateRef(a) {
            this.zn = a;
            this.g("TooltipTemplateRef");
        }
        get width() {
            return this.zp;
        }
        set width(a) {
            this.zp = a;
            this.g("Width");
        }
        get height() {
            return this.zm;
        }
        set height(a) {
            this.zm = a;
            this.g("Height");
        }
        get background() {
            return this.zk;
        }
        set background(a) {
            this.zk = a;
            this.g("Background");
        }
        get_type() {
            return "FinancialChart";
        }
        constructor() {
            super();
            this.zn = null;
            this.zp = null;
            this.zm = null;
            this.zk = null;
            this.x9 = 0;
            this.xl = false;
            this.yd = 0;
            this.xt = false;
            this.zc = 0;
            this.yk = 0;
            this.ym = 0;
            this.yl = 0;
            this.yn = 0;
            this.zo = null;
            this.zq = null;
            this.yf = 0;
            this.yi = 0;
            this.yg = 0;
            this.yh = 0;
            this.yj = 0;
            this.zs = null;
            this.xn = false;
            this.zl = null;
            this.zr = null;
            this.xp = false;
            this.wx = null;
            this.w2 = null;
            this.xr = false;
            this.yc = 0;
            this.xq = false;
            this.xs = false;
            this.zt = null;
            this.wy = null;
            this.wz = null;
            this.w0 = null;
            this.w1 = null;
            this.w5 = null;
            this.w4 = null;
            this.ww = null;
            this.wu = null;
            this.ye = 0;
            this.yb = 0;
            this.ya = 0;
            this.x8 = 0;
            this.wv = null;
            this.y8 = 0;
            this.x7 = 0;
            this.zb = 0;
            this.y9 = 0;
            this.y7 = 0;
            this.za = 0;
            this.w3 = null;
            this.wt = null;
            this.xo = false;
            this.zu = null;
            this.yo = 0;
            this.xm = false;
            this.x4 = new Date();
            this.x3 = new Date();
            this.w6 = null;
            this.zj = null;
        }
        get leftMargin() {
            return this.x9;
        }
        set leftMargin(a) {
            this.x9 = a;
            this.g("LeftMargin");
        }
        get isHorizontalZoomEnabled() {
            return this.xl;
        }
        set isHorizontalZoomEnabled(a) {
            this.xl = a;
            this.g("IsHorizontalZoomEnabled");
        }
        get toolbarHeight() {
            return this.yd;
        }
        set toolbarHeight(a) {
            this.yd = a;
            this.g("ToolbarHeight");
        }
        get yAxisIsLogarithmic() {
            return this.xt;
        }
        set yAxisIsLogarithmic(a) {
            this.xt = a;
            this.g("YAxisIsLogarithmic");
        }
        get yAxisLogarithmBase() {
            return this.zc;
        }
        set yAxisLogarithmBase(a) {
            this.zc = a;
            this.g("YAxisLogarithmBase");
        }
        get yAxisInterval() {
            return this.yk;
        }
        set yAxisInterval(a) {
            this.yk = a;
            this.g("YAxisInterval");
        }
        get yAxisMinimumValue() {
            return this.ym;
        }
        set yAxisMinimumValue(a) {
            this.ym = a;
            this.g("YAxisMinimumValue");
        }
        get yAxisMaximumValue() {
            return this.yl;
        }
        set yAxisMaximumValue(a) {
            this.yl = a;
            this.g("YAxisMaximumValue");
        }
        get yAxisMinorInterval() {
            return this.yn;
        }
        set yAxisMinorInterval(a) {
            this.yn = a;
            this.g("YAxisMinorInterval");
        }
        get volumeType() {
            return this.zo;
        }
        set volumeType(a) {
            this.zo = a;
            this.g("VolumeType");
        }
        get xAxisMode() {
            return this.zq;
        }
        set xAxisMode(a) {
            this.zq = a;
            this.g("XAxisMode");
        }
        get xAxisZoomMaximumCategoryRange() {
            return this.yf;
        }
        set xAxisZoomMaximumCategoryRange(a) {
            this.yf = a;
            this.g("XAxisZoomMaximumCategoryRange");
        }
        get xAxisZoomToCategoryStart() {
            return this.yi;
        }
        set xAxisZoomToCategoryStart(a) {
            this.yi = a;
            this.g("XAxisZoomToCategoryStart");
        }
        get xAxisZoomMaximumItemSpan() {
            return this.yg;
        }
        set xAxisZoomMaximumItemSpan(a) {
            this.yg = a;
            this.g("XAxisZoomMaximumItemSpan");
        }
        get xAxisZoomToCategoryRange() {
            return this.yh;
        }
        set xAxisZoomToCategoryRange(a) {
            this.yh = a;
            this.g("XAxisZoomToCategoryRange");
        }
        get xAxisZoomToItemSpan() {
            return this.yj;
        }
        set xAxisZoomToItemSpan(a) {
            this.yj = a;
            this.g("XAxisZoomToItemSpan");
        }
        get yAxisMode() {
            return this.zs;
        }
        set yAxisMode(a) {
            this.zs = a;
            this.g("YAxisMode");
        }
        get isToolbarVisible() {
            return this.xn;
        }
        set isToolbarVisible(a) {
            this.xn = a;
            this.g("IsToolbarVisible");
        }
        get chartType() {
            return this.zl;
        }
        set chartType(a) {
            this.zl = a;
            this.g("ChartType");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.zr;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.zr = a;
            this.g("YAxisLabelHorizontalAlignment");
        }
        get isWindowSyncedToVisibleRange() {
            return this.xp;
        }
        set isWindowSyncedToVisibleRange(a) {
            this.xp = a;
            this.g("IsWindowSyncedToVisibleRange");
        }
        get indicatorTypes() {
            return this.wx;
        }
        set indicatorTypes(a) {
            this.wx = a;
            this.g("IndicatorTypes");
        }
        get overlayTypes() {
            return this.w2;
        }
        set overlayTypes(a) {
            this.w2 = a;
            this.g("OverlayTypes");
        }
        get yAxisAbbreviateLargeNumbers() {
            return this.xr;
        }
        set yAxisAbbreviateLargeNumbers(a) {
            this.xr = a;
            this.g("YAxisAbbreviateLargeNumbers");
        }
        get resolution() {
            return this.yc;
        }
        set resolution(a) {
            this.yc = a;
            this.g("Resolution");
        }
        get xAxisEnhancedIntervalPreferMoreCategoryLabels() {
            return this.xq;
        }
        set xAxisEnhancedIntervalPreferMoreCategoryLabels(a) {
            this.xq = a;
            this.g("XAxisEnhancedIntervalPreferMoreCategoryLabels");
        }
        get yAxisEnhancedIntervalPreferMoreCategoryLabels() {
            return this.xs;
        }
        set yAxisEnhancedIntervalPreferMoreCategoryLabels(a) {
            this.xs = a;
            this.g("YAxisEnhancedIntervalPreferMoreCategoryLabels");
        }
        get zoomSliderType() {
            return this.zt;
        }
        set zoomSliderType(a) {
            this.zt = a;
            this.g("ZoomSliderType");
        }
        get negativeBrushes() {
            return this.wy;
        }
        set negativeBrushes(a) {
            this.wy = a;
            this.g("NegativeBrushes");
        }
        get negativeOutlines() {
            return this.wz;
        }
        set negativeOutlines(a) {
            this.wz = a;
            this.g("NegativeOutlines");
        }
        get overlayBrushes() {
            return this.w0;
        }
        set overlayBrushes(a) {
            this.w0 = a;
            this.g("OverlayBrushes");
        }
        get overlayOutlines() {
            return this.w1;
        }
        set overlayOutlines(a) {
            this.w1 = a;
            this.g("OverlayOutlines");
        }
        get volumeOutlines() {
            return this.w5;
        }
        set volumeOutlines(a) {
            this.w5 = a;
            this.g("VolumeOutlines");
        }
        get volumeBrushes() {
            return this.w4;
        }
        set volumeBrushes(a) {
            this.w4 = a;
            this.g("VolumeBrushes");
        }
        get indicatorNegativeBrushes() {
            return this.ww;
        }
        set indicatorNegativeBrushes(a) {
            this.ww = a;
            this.g("IndicatorNegativeBrushes");
        }
        get indicatorBrushes() {
            return this.wu;
        }
        set indicatorBrushes(a) {
            this.wu = a;
            this.g("IndicatorBrushes");
        }
        get volumeThickness() {
            return this.ye;
        }
        set volumeThickness(a) {
            this.ye = a;
            this.g("VolumeThickness");
        }
        get overlayThickness() {
            return this.yb;
        }
        set overlayThickness(a) {
            this.yb = a;
            this.g("OverlayThickness");
        }
        get overlayMultiplier() {
            return this.ya;
        }
        set overlayMultiplier(a) {
            this.ya = a;
            this.g("OverlayMultiplier");
        }
        get indicatorThickness() {
            return this.x8;
        }
        set indicatorThickness(a) {
            this.x8 = a;
            this.g("IndicatorThickness");
        }
        get indicatorDisplayTypes() {
            return this.wv;
        }
        set indicatorDisplayTypes(a) {
            this.wv = a;
            this.g("IndicatorDisplayTypes");
        }
        get indicatorPeriod() {
            return this.y8;
        }
        set indicatorPeriod(a) {
            this.y8 = a;
            this.g("IndicatorPeriod");
        }
        get indicatorMultiplier() {
            return this.x7;
        }
        set indicatorMultiplier(a) {
            this.x7 = a;
            this.g("IndicatorMultiplier");
        }
        get indicatorSmoothingPeriod() {
            return this.zb;
        }
        set indicatorSmoothingPeriod(a) {
            this.zb = a;
            this.g("IndicatorSmoothingPeriod");
        }
        get indicatorShortPeriod() {
            return this.y9;
        }
        set indicatorShortPeriod(a) {
            this.y9 = a;
            this.g("IndicatorShortPeriod");
        }
        get indicatorLongPeriod() {
            return this.y7;
        }
        set indicatorLongPeriod(a) {
            this.y7 = a;
            this.g("IndicatorLongPeriod");
        }
        get indicatorSignalPeriod() {
            return this.za;
        }
        set indicatorSignalPeriod(a) {
            this.za = a;
            this.g("IndicatorSignalPeriod");
        }
        get rangeSelectorOptions() {
            return this.w3;
        }
        set rangeSelectorOptions(a) {
            this.w3 = a;
            this.g("RangeSelectorOptions");
        }
        get customIndicatorNames() {
            return this.wt;
        }
        set customIndicatorNames(a) {
            this.wt = a;
            this.g("CustomIndicatorNames");
        }
        get isVerticalZoomEnabled() {
            return this.xo;
        }
        set isVerticalZoomEnabled(a) {
            this.xo = a;
            this.g("IsVerticalZoomEnabled");
        }
        get zoomSliderXAxisMajorStroke() {
            return this.zu;
        }
        set zoomSliderXAxisMajorStroke(a) {
            this.zu = a;
            this.g("ZoomSliderXAxisMajorStroke");
        }
        get zoomSliderXAxisMajorStrokeThickness() {
            return this.yo;
        }
        set zoomSliderXAxisMajorStrokeThickness(a) {
            this.yo = a;
            this.g("ZoomSliderXAxisMajorStrokeThickness");
        }
        get isLegendVisible() {
            return this.xm;
        }
        set isLegendVisible(a) {
            this.xm = a;
            this.g("IsLegendVisible");
        }
        get xAxisMinimumValue() {
            return this.x4;
        }
        set xAxisMinimumValue(a) {
            this.x4 = a;
            this.g("XAxisMinimumValue");
        }
        get xAxisMaximumValue() {
            return this.x3;
        }
        set xAxisMaximumValue(a) {
            this.x3 = a;
            this.g("XAxisMaximumValue");
        }
        get xAxisBreaks() {
            return this.w6;
        }
        set xAxisBreaks(a) {
            this.w6 = a;
            this.g("XAxisBreaks");
        }
        get applyCustomIndicatorsRef() {
            return this.zj;
        }
        set applyCustomIndicatorsRef(a) {
            this.zj = a;
            this.g("ApplyCustomIndicatorsRef");
        }
    }
    FinancialChartDescription.$t = /*@__PURE__*/ markType(FinancialChartDescription, 'FinancialChartDescription', XYChartDescription.$);
    return FinancialChartDescription;
})();
